Spigot PlaceholderAPI 2.11.2

A resource that allows information from your favorite plugins be shown practically anywhere!

  1. Do I have to execute this command in game ???
    /papi ecloud list installed
     
  2. ähhh, yes!?
    Sure...
    Or in server console ...
     
  3. Say it ........... take everything for granted as if people know what to do.
     
  4. Since your running a server you should know how to use commands... ;):cool:
     
  5. But what it means, does not mean that you know everything and can do everything just because you have a server.
     
  6. Не работают расширения, после установки и перезагрузки плагина пишет это:
    [08:53:22 ОШИБКА]: [PlaceholderAPI] не удалось загрузить файлы классов расширений
    java.util.concurrent.CompletionException: java.lang.UnsupportedClassVersionError: ch / andre601 / mathexpansion / depencencies / caffeine / PWAR был скомпилирован более поздней версией среды выполнения Java (версия файла класса 55.0), эта версия среды выполнения Java распознает только версии файлов классов до 52.0
    в java.util.concurrent.CompletableFuture.encodeThrowable (Неизвестный источник) ~ [?: 1.8.0_51]
    в java.util.concurrent.CompletableFuture.completeThrowable (Неизвестный источник) ~ [?: 1.8.0_51]
    в java.util.concurrent.CompletableFuture $ AsyncSupply.run (Неизвестный источник) ~ [?: 1.8.0_51]
    at java.util.concurrent.CompletableFuture$AsyncSupply.exec(Unknown Source) ~[?:1.8.0_51]
    at java.util.concurrent.ForkJoinTask.doExec(Unknown Source) ~[?:1.8.0_51]
    at java.util.concurrent.ForkJoinPool$WorkQueue.runTask(Unknown Source) ~[?:1.8.0_51]
    at java.util.concurrent.ForkJoinPool.runWorker(Unknown Source) ~[?:1.8.0_51]
    at java.util.concurrent.ForkJoinWorkerThread.run(Unknown Source) ~[?:1.8.0_51]
    Caused by: java.lang.UnsupportedClassVersionError: ch/andre601/mathexpansion/depencencies/caffeine/PWAR has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_51]
    at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.8.0_51]
    at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.8.0_51]
    at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.8.0_51]
    в java.net.URLClassLoader.access $ 100 (Неизвестный источник) ~ [?: 1.8.0_51]
    на java.net.URLClassLoader $ 1.run (Неизвестный источник) ~ [?: 1.8.0_51]
    на java.net.URLClassLoader $ 1.run (Неизвестный источник) ~ [?: 1.8.0_51]
    в java.security.AccessController.doPrivileged (собственный метод) ~ [?: 1.8.0_51]
    в java.net.URLClassLoader.findClass (Неизвестный источник) ~ [?: 1.8.0_51]
    в java.lang.ClassLoader.loadClass (Неизвестный источник) ~ [?: 1.8.0_51]
    в java.lang.ClassLoader.loadClass (Неизвестный источник) ~ [?: 1.8.0_51]
    в me.clip.placeholderapi.util.FileUtil.findClass (FileUtil.java:62) ~ [?:?]
    at me.clip.placeholderapi.expansion.manager.LocalExpansionManager.lambda $ findExpansionInFile $ 7 (LocalExpansionManager.java:388) ~ [?:?]
    at me.clip.placeholderapi.expansion.manager.LocalExpansionManager $$ Lambda $ 930 / 1238281090.get (Неизвестный источник) ~ [?:?]
    ... еще 6
     
  7. It seems that the expansion "mathexpansion" was compiled against Java11 ...
    And your server runs on Java8.
    See here: https://github.com/Andre601/Math-Expansion#math-expansion
     
  8. Helloa, small issue with the Player expansion:
    Code (Text):
    [16:15:05 INFO]: Successfully downloaded expansion Player [2.0.2] to file: Expansion-player.jar
    Make sure to type /papi reload to enable your new expansion!
    [16:15:05 INFO]: [PlaceholderAPI] Fetching available expansion information...
    papi reload
    [16:15:10 INFO]: [PlaceholderAPI] Placeholder expansion registration initializing...
    [16:15:10 INFO]: [PlaceholderAPI] Fetching available expansion information...
    [16:15:11 ERROR]: [PlaceholderAPI] failed to load class files of expansions
    java.util.concurrent.CompletionException: java.lang.NoClassDefFoundError: nl/chimpgamer/networkmanager/api/models/player/Player
            at java.util.concurrent.CompletableFuture.encodeThrowable(CompletableFuture.java:315) ~[?:?]
            at java.util.concurrent.CompletableFuture.completeThrowable(CompletableFuture.java:320) ~[?:?]
            at java.util.concurrent.CompletableFuture$AsyncSupply.run(CompletableFuture.java:1770) ~[?:?]
            at java.util.concurrent.CompletableFuture$AsyncSupply.exec(CompletableFuture.java:1760) ~[?:?]
            at java.util.concurrent.ForkJoinTask.doExec(ForkJoinTask.java:373) ~[?:?]
            at java.util.concurrent.ForkJoinPool$WorkQueue.topLevelExec(ForkJoinPool.java:1182) ~[?:?]
            at java.util.concurrent.ForkJoinPool.scan(ForkJoinPool.java:1655) ~[?:?]
            at java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1622) ~[?:?]
            at java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165) ~[?:?]
    Caused by: java.lang.NoClassDefFoundError: nl/chimpgamer/networkmanager/api/models/player/Player
            at java.lang.Class.getDeclaredMethods0(Native Method) ~[?:?]
            at java.lang.Class.privateGetDeclaredMethods(Class.java:3402) ~[?:?]
            at java.lang.Class.getDeclaredMethods(Class.java:2504) ~[?:?]
            at me.clip.placeholderapi.expansion.manager.LocalExpansionManager.lambda$findExpansionInFile$7(LocalExpansionManager.java:396) ~[PlaceholderAPI.jar:?]
            at java.util.concurrent.CompletableFuture$AsyncSupply.run(CompletableFuture.java:1768) ~[?:?]
            ... 6 more
    Caused by: java.lang.ClassNotFoundException: nl.chimpgamer.networkmanager.api.models.player.Player
            at java.net.URLClassLoader.findClass(URLClassLoader.java:445) ~[?:?]
            at java.lang.ClassLoader.loadClass(ClassLoader.java:587) ~[?:?]
            at java.lang.ClassLoader.loadClass(ClassLoader.java:520) ~[?:?]
            at java.lang.Class.getDeclaredMethods0(Native Method) ~[?:?]
            at java.lang.Class.privateGetDeclaredMethods(Class.java:3402) ~[?:?]
            at java.lang.Class.getDeclaredMethods(Class.java:2504) ~[?:?]
            at me.clip.placeholderapi.expansion.manager.LocalExpansionManager.lambda$findExpansionInFile$7(LocalExpansionManager.java:396) ~[PlaceholderAPI.jar:?]
            at java.util.concurrent.CompletableFuture$AsyncSupply.run(CompletableFuture.java:1768) ~[?:?]
            ... 6 more
    Server version: git-Paper-101 (MC: 1.18.1) (Implementing API version 1.18.1-R0.1-SNAPSHOT) (Git: 464b171)
    Java version: openjdk version "17.0.1" 2021-10-19, OpenJDK Runtime Environment (build 17.0.1+12-39), OpenJDK 64-Bit Server VM (build 17.0.1+12-39, mixed mode, sharing)

    Thanks all!
     
  9. I did as you suggested, /papi ecloud list installed, now this warning comes out

    [PlaceholderAPI] Successfully registered expansion: playerlist [2.1]
    [PlaceholderAPI] Successfully registered expansion: player [1.7.2]
    2 placeholder hook(s) registered! 1 placeholder hook(s) have an update available.
     
    #2889 Peppe73, Jan 3, 2022
    Last edited: Jan 9, 2022
  10. [17:48:03 ERROR]: Could not load 'plugins\BungeeControl-Red-3.8.7.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:178) ~[paper-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:158) ~[paper-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.bukkit.craftbukkit.v1_18_R1.CraftServer.loadPlugins(CraftServer.java:422) ~[paper-1.18.1.jar:git-Paper-100]
    at net.minecraft.server.dedicated.DedicatedServer.initServer(DedicatedServer.java:285) ~[paper-1.18.1.jar:git-Paper-100]
    at net.minecraft.server.MinecraftServer.runServer(MinecraftServer.java:1202) ~[paper-1.18.1.jar:git-Paper-100]
    at net.minecraft.server.MinecraftServer.lambda$spin$0(MinecraftServer.java:317) ~[paper-1.18.1.jar:git-Paper-100]
    at java.lang.Thread.run(Thread.java:833) ~[?:?]
    Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
    ... 7 more
     
  11. That's an error from another plugin? Contact the author of the plugin for assistance.
     
  12. I would suggest removing BungeeControl-Red from your plugins folder. That should be installed on a Bungeecord instance, not a Spigot instance.
     
  13. Wrong section
     
  14. Solutions?
     
  15. I know this is minor, but any way to get rid of the dependency messages the expansion cause? I know with plugins its added depend, softdepend, etc. but what about expansions? or is that just a small constant annoying message that cant really be done with?
     
  16. 'Player' can be updated to version 2.0.2
     
    #2896 Jeppa, Jan 9, 2022
    Last edited: Jan 9, 2022
  17. We'd have to add every single plugin that uses placeholderapi as a softdepend in the plugin.yml, which is not something we're willing to do.
    You can however just open the jar yourself with winrar/7zip and edit the plugin.yml to add the plugin names that are in the warnings if you'd like.
     
    • Like Like x 1
    • Friendly Friendly x 1
  18. Yea thats what I thought would be the deal. It's alright thanks!
     
    • Like Like x 1
  19. Can be ignored.

    See this for more info.
     
  20. Sorry for the spam but can someone help/fix it?